default.doesnt.match.message=Property [{0}] of class [{1}] with value [{2}] does not match the required pattern [{3}]
default.invalid.url.message=Property [{0}] of class [{1}] with value [{2}] is not a valid URL
default.invalid.creditCard.message=Property [{0}] of class [{1}] with value [{2}] is not a valid credit card number
default.invalid.email.message=Property [{0}] of class [{1}] with value [{2}] is not a valid e-mail address
default.invalid.range.message=Property [{0}] of class [{1}] with value [{2}] does not fall within the valid range from [{3}] to [{4}]
default.invalid.size.message=Property [{0}] of class [{1}] with value [{2}] does not fall within the valid size range from [{3}] to [{4}]
default.invalid.max.message=Property [{0}] of class [{1}] with value [{2}] exceeds maximum value [{3}]
default.invalid.min.message=Property [{0}] of class [{1}] with value [{2}] is less than minimum value [{3}]
default.invalid.max.size.message=Property [{0}] of class [{1}] with value [{2}] exceeds the maximum size of [{3}]
default.invalid.min.size.message=Property [{0}] of class [{1}] with value [{2}] is less than the minimum size of [{3}]
default.invalid.validator.message=Property [{0}] of class [{1}] with value [{2}] does not pass custom validation
default.not.inlist.message=Property [{0}] of class [{1}] with value [{2}] is not contained within the list [{3}]
default.blank.message=Property [{0}] of class [{1}] cannot be blank
default.not.equal.message=Property [{0}] of class [{1}] with value [{2}] cannot equal [{3}]
default.null.message=Property [{0}] of class [{1}] cannot be null
default.not.unique.message=Property [{0}] of class [{1}] with value [{2}] must be unique

default.paginate.prev=Previous
default.paginate.next=Next
default.boolean.true=True
default.boolean.false=False
default.date.format=dd-MM-yyyy
default.number.format=#,###,##0.00

# Data binding errors. Use "typeMismatch.$className.$propertyName to customize (eg typeMismatch.Book.author)
typeMismatch.java.net.URL=Property {0} must be a valid URL
typeMismatch.java.net.URI=Property {0} must be a valid URI
typeMismatch.java.util.Date=Property {0} must be a valid Date
typeMismatch.java.lang.Double=Property {0} must be a valid number
typeMismatch.java.lang.Integer=Property {0} must be a valid number
typeMismatch.java.lang.Long=Property {0} must be a valid number
typeMismatch.java.lang.Short=Property {0} must be a valid number
typeMismatch.java.math.BigDecimal=Property {0} must be a valid number
typeMismatch.java.math.BigInteger=Property {0} must be a valid number

# Menu messages
menu.login=Login
menu.rentals=Rentals
menu.rentals.returns=Returns
menu.rentals.overdue.rentals=Overdue Rentals
menu.customers=Customers
menu.admin=Admin
menu.admin.stores=Stores
menu.admin.inventory=Inventory
menu.admin.staff=Staff
menu.admin.films=Films
menu.admin.actors=Actors
menu.admin.categories=Categories
menu.admin.languages=Languages
menu.admin.countries=Countries
menu.admin.cities=Cities
menu.reports=Reports
menu.reports.top.films=Top Films
menu.reports.sales.by.film.category=Sales by Film Category
menu.reports.sales.by.store=Sales by Store
menu.account=My Account
menu.account.change.password=Change Password
menu.logout=Logout

# General messages
welcome=Welcome
create=Create
show=Show
edit=Edit
update=Update
delete=Delete
delete.confirm=Are you sure?
copy=Copy
search=Search
search.clear=Clear

# Auth messages
auth.login=Login
auth.login.username=Username
auth.login.password=Password
org.grails.samples.sakila.LoginCommand.username.blank.error=Username cannot be blank
org.grails.samples.sakila.LoginCommand.password.blank.error=Password cannot be blank
auth.login.invalid=Username or password is not valid
auth.logged.in.as=Logged in as
auth.logged.out=You have successfully logged out
auth.change.password=Change Password
auth.change.password.oldPassword=Old Password
auth.change.password.oldPassword.invalid=Old Password is not valid
auth.change.password.newPassword=New Password
auth.change.password.confirmNewPassword=Confirm New Password
auth.change.password.error=Password not changed
org.grails.samples.sakila.ChangePasswordCommand.oldPassword.blank.error=Old Password cannot be blank
org.grails.samples.sakila.ChangePasswordCommand.newPassword.blank.error=New Password cannot be blank
org.grails.samples.sakila.ChangePasswordCommand.confirmNewPassword.blank.error=Confirm New Password cannot be blank
org.grails.samples.sakila.ChangePasswordCommand.confirmNewPassword.validator.error=Confirm New Password does not match New Password
auth.password.changed=You have successfully changed your password

# Actor messages
actor.create=Create Actor
actor.edit=Edit Actor
actor.list=Actor List
actor.new=New Actor
actor.show=Show Actor
actor.created=Actor {0} created
actor.updated=Actor {0} updated
actor.deleted=Actor {0} deleted
actor.not.found=Actor not found with id {0}
actor.not.deleted=Actor not deleted with id {0}
actor.id=Id
actor.firstName=First Name
actor.firstName.nullable.error=Property [First Name] of class [Actor] cannot be null
actor.firstName.blank.error=Property [First Name] of class [Actor] cannot be blank
actor.firstName.maxSize.error=Property [First Name] of class [Actor] with value [{2}] exceeds the maximum size of [{3}]
actor.lastName=Last Name
actor.lastName.nullable.error=Property [Last Name] of class [Actor] cannot be null
actor.lastName.blank.error=Property [Last Name] of class [Actor] cannot be blank
actor.lastName.maxSize.error=Property [Last Name] of class [Actor] with value [{2}] exceeds the maximum size of [{3}]
actor.films=Films

# Address messages
address.create=Create Address
address.edit=Edit Address
address.list=Address List
address.new=New Address
address.show=Show Address
address.created=Address {0} created
address.updated=Address {0} updated
address.deleted=Address {0} deleted
address.not.found=Address not found with id {0}
address.not.deleted=Address not deleted with id {0}
address.id=Id
address.address=Address
address.address.nullable.error=Property [Address] of class [Address] cannot be null
address.address.blank.error=Property [Address] of class [Address] cannot be blank
address.address.maxSize.error=Property [Address] of class [Address] with value [{2}] exceeds the maximum size of [{3}]
address.address2=Address2
address.address2.maxSize.error=Property [Address2] of class [Address] with value [{2}] exceeds the maximum size of [{3}]
address.district=District
address.district.nullable.error=Property [District] of class [Address] cannot be null
address.district.blank.error=Property [District] of class [Address] cannot be blank
address.district.maxSize.error=Property [District] of class [Address] with value [{2}] exceeds the maximum size of [{3}]
address.city=City
address.city.nullable.error=Property [City] of class [Address] cannot be null
address.postalCode=Postal Code
address.postalCode.maxSize.error=Property [Postal Code] of class [Address] with value [{2}] exceeds the maximum size of [{3}]
address.phone=Phone
address.phone.nullable.error=Property [Phone] of class [Address] cannot be null
address.phone.blank.error=Property [Phone] of class [Address] cannot be blank
address.phone.maxSize.error=Property [Phone] of class [Address] with value [{2}] exceeds the maximum size of [{3}]

# Category messages
category.create=Create Category
category.edit=Edit Category
category.list=Category List
category.new=New Category
category.show=Show Category
category.created=Category {0} created
category.updated=Category {0} updated
category.deleted=Category {0} deleted
category.not.found=Category not found with id {0}
category.not.deleted=Category not deleted with id {0}
category.id=Id
category.name=Name
category.name.nullable.error=Property [Name] of class [Category] cannot be null
category.name.blank.error=Property [Name] of class [Category] cannot be blank
category.name.maxSize.error=Property [Name] of class [Category] with value [{2}] exceeds the maximum size of [{3}]
category.films=Films

# Country messages
country.create=Create Country
country.edit=Edit Country
country.list=Country List
country.new=New Country
country.show=Show Country
country.created=Country {0} created
country.updated=Country {0} updated
country.deleted=Country {0} deleted
country.not.found=Country not found with id {0}
country.not.deleted=Country not deleted with id {0}
country.optimistic.locking.failure=Another user has updated this Country while you were editing
country.id=Id
country.country=Country
country.country.nullable.error=Property [Country] of class [Country] cannot be null
country.country.blank.error=Property [Country] of class [Country] cannot be blank
country.country.maxSize.error=Property [Country] of class [Country] with value [{2}] exceeds the maximum size of [{3}]
country.cities=Cities

# City messages
city.create=Create City
city.edit=Edit City
city.list=City List
city.new=New City
city.show=Show City
city.created=City {0} created
city.updated=City {0} updated
city.deleted=City {0} deleted
city.not.found=City not found with id {0}
city.not.deleted=City not deleted with id {0}
city.optimistic.locking.failure=Another user has updated this City while you were editing
city.id=Id
city.country=Country
city.country.nullable.error=Property [Country] of class [City] cannot be null
city.city=City
city.city.nullable.error=Property [City] of class [City] cannot be null
city.city.blank.error=Property [City] of class [City] cannot be blank
city.city.maxSize.error=Property [City] of class [City] with value [{2}] exceeds the maximum size of [{3}]

# Film messages
film.create=Create Film
film.edit=Edit Film
film.list=Film List
film.new=New Film
film.show=Show Film
film.created=Film {0} created
film.updated=Film {0} updated
film.deleted=Film {0} deleted
film.not.found=Film not found with id {0}
film.not.deleted=Film not deleted with id {0}
film.id=Id
film.title=Title
film.title.nullable.error=Property [Title] of class [Film] cannot be null
film.title.blank.error=Property [Title] of class [Film] cannot be blank
film.title.maxSize.error=Property [Title] of class [Film] with value [{2}] exceeds the maximum size of [{3}]
film.description=Description
film.description.maxSize.error=Property [Description] of class [Film] with value [{2}] exceeds the maximum size of [{3}]
film.releaseYear=Release Year
film.releaseYear.nullable.error=Property [Release Year] of class [Film] cannot be null
film.releaseYear.range.error=Property [Release Year] of class [Film] with value[{2}] does not fall within the valid range from [{3}] to [{4}]
film.language=Language
film.language.nullable.error=Property [Language] of class [Film] cannot be null
film.originalLanguage=Original Language
film.rentalDuration=Rental Duration
film.rentalDuration.nullable.error=Property [Rental Duration] of class [Film] cannot be null
film.rentalDuration.min.error=Property [Rental Duration] of class [Film] with value [{2}] is less than minimum value [{3}]
film.rentalDuration.max.error=Property [Rental Duration] of class [Film] with value [{2}] exceeds maximum value [{3}]
film.rentalRate=Rental Rate
film.rentalRate.nullable.error=Property [Rental Rate] of class [Film] cannot be null
film.rentalRate.min.error=Property [Rental Rate] of class [Film] with value [{2}] is less than minimum value [{3}]
film.rentalRate.max.error=Property [Rental Rate] of class [Film] with value [{2}] exceeds maximum value [{3}]
film.length=Length
film.length.nullable.error=Property [Length] of class [Film] cannot be null
film.length.min.error=Property [Length] of class [Film] with value [{2}] is less than minimum value [{3}]
film.length.max.error=Property [Length] of class [Film] with value [{2}] exceeds maximum value [{3}]
film.replacementCost=Replacement Cost
film.replacementCost.nullable.error=Property [Replacement Cost] of class [Film] cannot be null
film.replacementCost.min.error=Property [Replacement Cost] of class [Film] with value [{2}] is less than minimum value [{3}]
film.replacementCost.max.error=Property [Replacement Cost] of class [Film] with value [{2}] exceeds maximum value [{3}]
film.rating=Rating
film.rating.G=G
film.rating.PG=PG
film.rating.PG-13=PG-13
film.rating.R=R
film.rating.NC-17=NC-17
film.rating.nullable.error=Property [Rating] of class [Film] cannot be null
film.rating.blank.error=Property [Rating] of class [Film] cannot be blank
film.rating.inList.error=Property [Rating] of class [Film] with value [{2}] is not contained within the list [{3}]
film.actors=Actors
film.categories=Categories

# Language messages
language.create=Create Language
language.edit=Edit Language
language.list=Language List
language.new=New Language
language.show=Show Language
language.created=Language {0} created
language.updated=Language {0} updated
language.deleted=Language {0} deleted
language.not.found=Language not found with id {0}
language.not.deleted=Language not deleted with id {0}
language.id=Id
language.name=Name
language.name.nullable.error=Property [Name] of class [Language] cannot be null
language.name.blank.error=Property [Name] of class [Language] cannot be blank
language.name.maxSize.error=Property [Name] of class [Language] with value [{2}] exceeds the maximum size of [{3}]

# Store messages
store.create=Create Store
store.edit=Edit Store
store.list=Store List
store.new=New Store
store.show=Show Store
store.created=Store {0} created
store.updated=Store {0} updated
store.deleted=Store {0} deleted
store.not.found=Store not found with id {0}
store.not.deleted=Store not deleted with id {0}
store.id=Id
store.manager=Manager
store.manager.nullable.error=Property [Manager] of class [Store] cannot be null
store.address=Address
store.address.nullable.error=Property [Address] of class [Store] cannot be null
store.staff=Staff
